I upgraded a server to OES2SP2 via the GUI interface and it seems to have all worked fine, with one exception. iManager broke. It seems something changed with Tomcat in this version. Executing the novell-tomcat5 start script fails because tomcat is no longer in /var/opt/novell/tomcat5. It seems that they swtiched to using the base installed Tomcat maybe?

Anyway, how do I fix this?

As a side note, is it a good idea to fix your installation sources after the upgrade to point at SLES10SP3 and OES2SP2 sources instead of the old SLES10SP2 and OES2SP1 sources?